/* GOOGLE FONT */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

html,
body {
    margin: 0;
    font-family: 'Poppins', sans-serif;
    color: #222;
    background: #fff;
     overflow-x: hidden;
}

/* GLOBAL */
.container {
    width: 90%;
    /* max-width: 1200px; */
    margin: auto;
}

/* HEADER */
.header {
    /* background: #0b1f3a; */
    padding: 18px 0;
    /* box-shadow: 0 2px 8px rgba(0,0,0,0.08); */
}

.logo {
    height: 50px;
}

/* CONTACT BAR */
.contact-bar {
    background: #f8f8f8;
    padding: 12px 0;
    border-bottom: 1px solid #e5e5e5;
}

.contact-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
}

.contact-item {
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 8px;
    color: #555;
    transition: 0.3s;
}

.contact-item i {
    color: #0b1f3a;
    font-size: 16px;
}

.contact-item:hover {
    color: #0b1f3a;
}

/* SERVICES */
.services {
    padding: 30px 0;
    text-align: center;
}

.services h2 {
    font-size: 32px;
    margin-bottom: 40px;
    color: #0b1f3a;
    position: relative;
}

.services h2::after {
    content: "";
    width: 60px;
    height: 3px;
    background: #007bff;
    display: block;
    margin: 10px auto 0;
    border-radius: 5px;
}

.service-wrapper {
    display: flex;
    gap: 25px;
    flex-wrap: wrap;
    justify-content: center;
}

.service-box {
    width: 30%;
    /* background: #035ec1; */
    border-radius: 12px;
    overflow: hidden;
    /* box-shadow: 0 8px 25px rgba(0,0,0,0.08); */
    transition: all 0.3s ease;
    position: relative;
}

.service-box:hover {
    transform: translateY(-10px);
    box-shadow: 0 12px 35px rgba(0,0,0,0.15);
}

.service-box img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}

.service-box h3 {
    /* margin: 18px 0 10px; */
    color: black;
    font-size: 20px;
}

.service-box p {
    padding: 0 20px 25px;
    font-size: 14px;
    color: #666;
}

/* HOVER BORDER EFFECT */
.service-box::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 4px;
    background: #007bff;
    transform: scaleX(0);
    transition: 0.3s;
}

.service-box:hover::before {
    transform: scaleX(1);
}

.coming-soon {
    width: 100%;
    min-height: 300px;

    background: 
        linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), 
        url('img/bg.jpg');

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}

@media (max-width: 768px) {
    .coming-soon {
        min-height: auto;
        padding: 20px 20px;

        background-size: contain;   /* show full image */
        background-position: top;   /* align properly */
    }
}

.coming-soon span {
    font-size: 48px;
    font-weight: 600;
    letter-spacing: 2px;
    /* animation: glowText 2.5s infinite alternate; */
}

/* TEXT ANIMATION */
@keyframes glowText {
    0% {
        opacity: 0.6;
        text-shadow: 0 0 5px rgba(255,255,255,0.2);
    }
    100% {
        opacity: 1;
        text-shadow: 0 0 20px rgba(255,255,255,0.9);
    }
}

/* RESPONSIVE */
@media (max-width: 992px) {
    .service-box {
        width: 45%;
    }
}

@media (max-width: 768px) {
    .service-box {
        width: 100%;
    }

    .services h2 {
        font-size: 26px;
    }

    .coming-soon span {
        font-size: 32px;
    }

    .contact-row {
        /* justify-content: center; */
    }
}
.contact-item a {
    text-decoration: none;
    color: #555;
    transition: 0.3s;
}

.contact-item a:hover {
    color: #007bff;
}
.social-icon{
    color: black;
}
.footer-copyright{
    text-align: center;
    background-color: #f8f8f8;
    padding: 5px 0px;
    /* padding: 10px 0px; */
}
.footer-copyright a{
    text-decoration: none;
    color: black;
}